Bug 1651981 - view_subscription filter does not allow subscriptions to be viewed
Summary: view_subscription filter does not allow subscriptions to be viewed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 10:50 UTC by Djebran Lezzoum
Modified: 2019-10-07 17:17 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25699 None None None 2018-12-14 19:16:39 UTC

Comment 3 Andrii Balakhtar 2018-11-27 09:27:39 UTC
By the way, that "404 Not Found" error is shown even for admin user, and admin user is able to see subscriptions.

Comment 4 Jonathon Turel 2018-12-14 19:16:39 UTC
Created redmine issue https://projects.theforeman.org/issues/25699 from this bug

Comment 5 Bryan Kearney 2019-01-07 21:13:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25699 has been resolved.

Comment 9 jcallaha 2019-01-16 21:51:31 UTC
Verified in Satellite 6.5.0 Snap 11

Created a new role that only has permission to view subscriptions

created a new user who's only role is that one

Logged in with new user and navigated to the subscriptions page.


The page rendered correctly and the user was able to successfully view all subscriptions aligned with that organization.

Comment 12 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.